Loading...
Searching...
No Matches
Opm::SummaryConfig Class Reference

## Public Types

typedef SummaryConfigNode | keyword_type
typedef std::vector< keyword_type > | keyword_list
typedef keyword_list::const_iterator | const_iterator

## Public Member Functions

| SummaryConfig (const Deck &, const Schedule &, const FieldPropsManager &, const AquiferConfig &, const ParseContext &, ErrorGuard &)
template<typename T>
| SummaryConfig (const Deck &, const Schedule &, const FieldPropsManager &, const AquiferConfig &, const ParseContext &, T &&)
| SummaryConfig (const Deck &, const Schedule &, const FieldPropsManager &, const AquiferConfig &)
| SummaryConfig (const keyword_list &kwds, const std::set< std::string > &shortKwds, const std::set< std::string > &smryKwds)
const_iterator | begin () const
const_iterator | end () const
size_t | size () const
SummaryConfig & | merge (const SummaryConfig &)
SummaryConfig & | merge (SummaryConfig &&)
keyword_list | registerRequisiteUDQorActionSummaryKeys (const std::vector< std::string > &extraKeys, const EclipseState &es, const Schedule &sched)
bool | hasKeyword (const std::string &keyword) const
bool | match (const std::string &keywordPattern) const
keyword_list | keywords (const std::string &keywordPattern) const
bool | hasSummaryKey (const std::string &keyword) const
bool | require3DField (const std::string &keyword) const
std::set< std::string > | fip_regions () const
std::set< std::string > | fip_regions_interreg_flow () const
std::unordered_set< std::string > | wbp_wells () const
bool | operator== (const SummaryConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | createRunSummary () const
const SummaryConfigNode & | operator[] (std::size_t index) const

## Static Public Member Functions

static SummaryConfig | serializationTestObject ()

The documentation for this class was generated from the following file:

- opm/input/eclipse/EclipseState/SummaryConfig/SummaryConfig.hpp